# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(DynaLoader.pm) perl(FindBin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           jsl
Version:        0.3.0
Release:        alt1_6
Summary:        Check JavaScript code for common mistakes

Group:          Development/Tools
License:        MPLv1.1
URL:            http://javascriptlint.com/
Source0:        http://javascriptlint.com/download/%{name}-%{version}-src.tar.gz
Patch0:         jsl-0.3.0-smash.patch
Patch1:         jsl-0.3.0-tests.patch
Source44: import.info

%description
With JavaScript Lint, you can check all your JavaScript source code for
common mistakes without actually running the script or opening the web page.

JavaScript Lint holds an advantage over competing lints because it is based
on the JavaScript engine for the Firefox browser. This provides a robust
framework that can not only check JavaScript syntax but also examine the
coding techniques used in the script and warn against questionable
practices.


%prep
%setup -q
%patch0 -p1 -b .smash
%patch1 -p1 -b .tests


%build
# Fix DOS-y EOL encoding and permissions
find . -type f |xargs sed -i 's/\r//' $FILES
find . -type f |xargs chmod 644 $FILES

# Dependencies dealt with poorly -- no _smp_mflags
make -C src -f Makefile.ref SHARED_LIBRARY= \
        OBJDIR=. JS_EDITLINE=1 XCFLAGS="%{optflags}" \
        OS_CFLAGS="-DXP_UNIX -DHAVE_VA_COPY -DVA_COPY=va_copy"


%install
install -d $RPM_BUILD_ROOT%{_bindir}
install src/jsl $RPM_BUILD_ROOT%{_bindir}


%check
cd tests
perl run_tests.pl ../src/jsl


%files
%{_bindir}/jsl


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_6
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_5
- initial fc import

